## org.apache.commons.collections.functors
Class NullIsFalsePredicate

    java.lang.Object
      org.apache.commons.collections.functors.NullIsFalsePredicate

All Implemented Interfaces:
  java.io.Serializable, PredicateDecorator, Predicate

    public final class NullIsFalsePredicate

extends java.lang.Object
implements Predicate, PredicateDecorator, java.io.Serializable

Predicate implementation that returns false if the input is null.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`NullIsFalsePredicate(Predicate predicate)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(java.lang.Object object)` Evaluates the predicate returning the result of the decorated predicate once a null check is performed.
`static Predicate` `getInstance(Predicate predicate)` Factory to create the null false predicate.
`Predicate[]` `getPredicates()` Gets the predicate being decorated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullIsFalsePredicate

    public NullIsFalsePredicate(Predicate predicate)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `predicate` - the predicate to call after the null check

Method Detail

### getInstance

    public static Predicate getInstance(Predicate predicate)

  Factory to create the null false predicate.

  Parameters:
    `predicate` - the predicate to decorate, not null
  Returns:
    the predicate
  Throws:
    `java.lang.IllegalArgumentException` - if the predicate is null

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate returning the result of the decorated predicate once a null check is performed.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if decorated predicate returns true, false if input is null

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicate being decorated.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicate as the only element in an array
  Since:
    Commons Collections 3.1

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.